Subject: [v6ops] I-D Action: draft-ietf-v6ops-design-choices-10.txt

From: [email-masked]
Date: Fri, 14 Oct 2016 12:22:10 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IPv6 Operations of the IETF.

        Title           : Some Design Choices for IPv6 Networks
        Authors         : Philip Matthews
                          Victor Kuarsingh
	Filename        : draft-ietf-v6ops-design-choices-10.txt
	Pages           : 22
	Date            : 2016-10-14

Abstract:
   This document presents advice on certain routing-related design
   choices that arise when designing IPv6 networks (both dual-stack and
   IPv6-only).  The intended audience is someone designing an IPv6
   network who is knowledgeable about best current practices around IPv4
   network design, and wishes to learn the corresponding practices for
   IPv6.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-v6ops-design-choices/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-v6ops-design-choices-10

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-v6ops-design-choices-10

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Philip Matthews <[email-masked]>
Date: Fri, 14 Oct 2016 15:26:40 -0400

Folks:

After a long delay due to demands of $DAYJOB, we are finally back to working on this I-D.

Here is a summary of the major changes:
* Section 2.1 ("Addresses").  This section was very contentious in Yokohama (yes, it was that long ago ...). We have been discussing what to do with this, but have not come to any conclusions yet, so for now we have removed the old contents and just put "TBD".
* Section 2.3 ("IGPs"). Some significant changes here. First, we added an IPv6-centric comparison of OSPF, IS-IS, and EIGRP.  We just list similarities and differences, without making recommendations. We think this helps give better context before we discuss our survey of what people have deployed.  We also added more facts around single-topology vs. multi-topology for IS-IS, and reworded the section discussing RIP and RIPng.
* Various minor changes: updated the year, affiliation, etc.

We are still discussing what, if anything, we should say in the addressing section.  It is hard to say something here that is insightful without causing some people to take offense.

Comments welcome.

- Philip and Victor

On 2016-10-14, at 15:22 , [email-masked] wrote:

> _______________________________________________
> v6ops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/v6ops
>

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 17 Oct 2016 11:15:18 +1300

On 15/10/2016 08:26, Philip Matthews wrote:

...
> We are still discussing what, if anything, we should say in the addressing section.  It is hard to say something here that is insightful without causing some people to take offense.

I think you have to aim for a very neutral tone in this section, presenting the
options and their properties, but avoiding any kind of opinion and judgment calls
such as the word "Works" or the phrases "likely a better option" or "poor option".

In the Introduction you say
"  The design choices presented apply to both Service Provider and
   Enterprise network environments.  Where choices have selection
   criteria which differ between the Service Provider and the Enterprise
   environment, this is noted."

I think that approach is dubious for the addressing section. I suggest splitting
it in three parts: overview, ISP, enterprise. (For enterprises, I stand by
https://tools.ietf.org/html/rfc6883#section-5.1 ) It's also worth underlining
that SOHO is not the same and will certainly not have the luxury of PI.

Also go very carefully on the terminology. In particular

- please make a very careful distinction between "global scope" (which applies
to PA, PI and ULA) and "globally routed" (which applies to PA, PI but not ULA).
I think it's a distraction to use the phrase "globally unique".

- don't even mention RFC1918. It's confusing and irrelevant in an IPv6 document.
IPv6 is *different*.

- don't describe ULAs as "private". It's not even accurate to call them site-local,
because they might be more local than that.  Perhaps the best word is "local"
actually, which is after all their name.

All that said, I think the basic coverage of the previous addressing section was correct and
necessary.

Regards
    Brian

---

From: Philip Matthews <[email-masked]>
Date: Mon, 17 Oct 2016 08:46:28 -0400

Thanks for the suggestions.  Victor and I agree that the previous version of the section was not neutral enough in many places.

To me, this document is about saying things that are not already covered in lots of other RFCs.  This is the part that I am struggling with when it comes to the Address section.  One idea we are considering is to just put in a few pointers to other documents and leave it at that.

Will keep your other suggestions in mind as we decide what to do.

- Philip

---

From: John Mann <[email-masked]>
Date: Tue, 18 Oct 2016 07:34:33 +1100

Hi,

On 15 October 2016 at 06:26, Philip Matthews <[email-masked]>
wrote:

> * Section 2.1 ("Addresses").  This section was very contentious in
> Yokohama (yes, it was that long ago ...). We have been discussing what to
> do with this, but have not come to any conclusions yet, so for now we have
> removed the old contents and just put "TBD".
> * Section 2.3 ("IGPs"). Some significant changes here. First, we added an
> IPv6-centric comparison of OSPF, IS-IS, and EIGRP.  We just list
> similarities and differences, without making recommendations. We think this
> helps give better context before we discuss our survey of what people have
> deployed.  We also added more facts around single-topology vs.
> multi-topology for IS-IS, and reworded the section discussing RIP and RIPng.
>

The discussion included, but the table excluded
   Use OSPFv3 running over IPv6 for routing both IPv4 and IPv6

Is it worthwhile referencing RFC 7404
  Using Only Link-Local Addressing inside an IPv6 Network
as an example of the minimal amount of IPv6 interface configuration
required to support an IGP?

> ietf-v6ops-host-addr-availability
> Cerf, D. (sic)

Is now RFC 7934.

s/draft-ietf-v6ops-ula-usage-recommendations/draft-ietf-v6ops-ula-usage-considerations/

Thanks,
    John

We are still discussing what, if anything, we should say in the addressing
> section.  It is hard to say something here that is insightful without
> causing some people to take offense.
>
> Comments welcome.
>
> - Philip and Victor
>
>
>

-- 
*John Mann*
Network Architect, Infrastructure Automation & Delivery

*Infrastructure Services, eSolutions*
Monash University
738 Blackburn Road
Clayton VIC 3168
Australia

T: +61 3 9905 4774
M: +61 419 568 470
E: [email-masked]
W: monash.edu

---

From: Philip Matthews <[email-masked]>
Date: Mon, 17 Oct 2016 22:36:22 -0400

See inline.
-Philip

On 2016-10-17, at 16:34 , John Mann wrote:

> Hi,
> 
> On 15 October 2016 at 06:26, Philip Matthews <[email-masked]> wrote:
> Folks:
> 

Good catch. Thought we had included this ...

> as an example of the minimal amount of IPv6 interface configuration required to support an IGP?

This is discussed, with a ref to 7404, in section 2.2.2.
I am not totally happy with how we handle this discussion... it is a bit confusing.

> s/draft-ietf-v6ops-ula-usage-recommendations/draft-ietf-v6ops-ula-usage-considerations/

Thanks.  We need to update all our references.

> John Mann
> Infrastructure Services, eSolutions
> Monash University
> 738 Blackburn Road
> Clayton VIC 3168
> Australia
> 
> T: +61 3 9905 4774
> M: +61 419 568 470
> E: [email-masked]
> W: monash.edu

---

From: Victor Kuarsingh <[email-masked]>
Date: Tue, 18 Oct 2016 00:09:25 -0400

Philip / John

> Good catch. Thought we had included this ...
Interesting point.

I went back over the data we collected when we polled the operator 
community on what IGP combinations were actually deployed into 
networks.  That was a small sample size, and a over a year ago, however, 
at that time, no operator had reported that combination (i.e. running 
IPv4 and IPv6 over OSPFv3).

However, I do agree that combination should be in the table as it's an 
option.  I suspect as time goes on, an operator depending on IPv6 
connectivity to ensure their IPv4 routing information being exchanged 
will become less of a concern (as is seemed to be a few years ago when 
operators were a bit more hesitant to make IPv4 rely on IPv6 for any 
reason).

regards,

Victor K